# KHRGLEvent (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class KHRGLEvent

    java.lang.Object
      org.lwjgl.opencl.KHRGLEvent

    public final class KHRGLEvent

extends java.lang.Object

Field Summary
`static int` `CL_COMMAND_GL_FENCE_SYNC_OBJECT_KHR` Returned by clGetEventInfo when param_name is CL_EVENT_COMMAND_TYPE:

Method Summary
`static CLEvent` `clCreateEventFromGLsyncKHR(CLContext context, GLSync sync, java.nio.IntBuffer errcode_ret)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_COMMAND_GL_FENCE_SYNC_OBJECT_KHR

    public static final int CL_COMMAND_GL_FENCE_SYNC_OBJECT_KHR

  Returned by clGetEventInfo when param_name is CL_EVENT_COMMAND_TYPE:

  See Also:
    Constant Field Values

Method Detail

### clCreateEventFromGLsyncKHR

    public static CLEvent clCreateEventFromGLsyncKHR(CLContext context,
                                                     GLSync sync,
                                                     java.nio.IntBuffer errcode_ret)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.